<?php

/*
	[SupeSite/X-Space] (C)2001-2006 Comsenz Inc.
	升級文件
	適用於RC2版本到V5.0正式版的數據庫升級

	$RCSfile: update_5.0_rc2_final.php,v $
	$Revision: 1.3 $
	$Date: 2006/11/02 06:11:36 $
*/

define('IN_SUPESITE', TRUE);
define('S_ROOT', '');

error_reporting(E_ERROR | E_WARNING | E_PARSE);
set_magic_quotes_runtime(0);

if(!file_exists('./config.php')) {
	exit('請將本文件移動到程序根目錄下面，然後再執行進行升級');
}

include_once './config.php';
include_once './update/inc/func.php';
include_once './class/db_mysql.class.php';
require_once './function/main.func.php';
include_once './function/cache.func.php';
include_once './function/common.func.php';

$sqlfile = './update/sql/5.0_rc2_final.sql';

$ver1 = 'SupeSite 5.0 / X-Space 2.0 RC1 RC2';
$ver2 = 'SupeSite 5.0 / X-Space 2.0 Final';

tplheader();
if(empty($_GET['updatestart'])) {
	
	print<<<END
	<h2>本升級程序適用於 $ver1 版本 升級到 $ver2 版本</h2>
	<ul>
	<li>升級前版本: $ver1</li>
	<li>升級後版本: $ver2</li>
	<li>請確認您之前的程序使用的版本，如果確認，<b><a href="?updatestart=1">請點擊此處開始升級</a></b></li>
	</ul>
END;
	
} else {

	if(!@mysql_connect($dbhost, $dbuser, $dbpw)) {
		exit('無法連接數據庫，請將config.php參數手工設置正確後，然後再執行進行升級');
	}
	
	$_SCONFIG = $_SGLOBAL = array();
	$_SCONFIG['stablepre'] = $stablepre;
	$_SCONFIG['dtablepre'] = $tablepre;
	$_SGLOBAL['db'] = new dbstuff;
	$_SGLOBAL['timestamp'] = time();
	
	//SQL升級文
	
	
	//頁面顯示
	
	echo '<ul>';
	echo '<li>SupeSite/X-Space升級開始</li>';
	
	//升級數據庫
	dbupdate();
	
	//設置緩存
	updatesettingcache();
	//用戶組緩存
	updategroupcache();
	//廣告緩存
	updateadcache();
	//頁面特效
	updateeffectcache();
	//crons列表
	updatecronscache();
	//計劃任務
	updatecroncache();
	//緩存論壇設置
	updatebbssetting();
	//緩存論壇風格設置
	updatebbsstyle();
	//緩存論壇語言屏蔽
	updatebbscensor();
	//緩存論壇bbcode/smiles
	updatebbsbbcode();
	
	//頁面顯示
	echo '<li>恭喜, '.$ver1.' 版本到 '.$ver2.' 版本升級結束。</li>';
	echo '<li>請參考反饋信息，如果有錯誤發生，請檢查您升級前的數據庫結構是否正確。</li>';
	echo '<li>如果無錯誤提示，表示升級成功\，請立即刪除本文件！不要再次運行本升級文件。</li>';
	echo '</ul>';
}

tplfooter();

?>